Get Registrants by Brokerage

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/spacio-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Spacio API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/spacio-api/mcp"
  }
}

Close
POST /getRegistrantsByBrokerage

Retrieve all registrants associated with a brokerage. Available in v1 and v2.

Headers

  • apikey string Required
application/x-www-form-urlencoded

Body

  • brokerage_id string Required
  • page integer
  • limit integer

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • success boolean
    • data array[object]

      Lead registrant information

      Hide data attributes Show data attributes object

      Lead registrant information

      • registrant_id string
      • first_name string
      • last_name string
      • email string(email)
      • phone string
      • registration_date string(date-time)

        When lead was captured

      • property_id string
      • status string

        Lead status in sales pipeline

        Values are new, contacted, qualified, converted, or closed.

      • lead_source string

        How lead was captured

        Values are open_house, website, search, or inquiry.

      • answers array[object]

        Custom form answers provided by lead

        Hide answers attributes Show answers attributes object
        • question string
        • answer string
    • pagination object
      Hide pagination attributes Show pagination attributes object
      • current_page integer
      • total_pages integer
      • total_results integer
POST /getRegistrantsByBrokerage
curl \
 --request POST 'https://ws.spac.io/api/v1/getRegistrantsByBrokerage' \
 --header "Content-Type: application/x-www-form-urlencoded" \
 --header "apikey: string" \
 --data 'brokerage_id=string&page=42&limit=42'
Response examples (200)
{
  "success": true,
  "data": [
    {
      "registrant_id": "string",
      "first_name": "string",
      "last_name": "string",
      "email": "hello@example.com",
      "phone": "string",
      "registration_date": "2026-05-04T09:42:00Z",
      "property_id": "string",
      "status": "new",
      "lead_source": "open_house",
      "answers": [
        {
          "question": "string",
          "answer": "string"
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 42,
    "total_pages": 42,
    "total_results": 42
  }
}